# ``twisted`.`persisted`.`sob``

module documentation
(source)

Save and load Small OBjects to and from files, using various formats.

Maintainer: Moshe Zadka

Interface | `IPersistable` | An object which can be saved in several formats to a file
Class | `Persistent` | No class docstring; 0/3 instance variable, 2/6 methods documented
Function | `guessType` | Undocumented
Function | `load` | Load an object from a file.
Function | `loadValueFromFile` | Load the value of a variable in a Python file.
Class | `_EverythingEphemeral` | No class docstring; 0/1 instance variable, 0/1 class variable, 1/2 method documented

def guessType(filename): (source)

Undocumented

def load(filename, style): (source)

Load an object from a file.

Deserialize an object from a file. The file can be encrypted.

Parameters
filename | string
style | string (one of 'pickle' or 'source')

def loadValueFromFile(filename, variable): (source)

Load the value of a variable in a Python file.

Run the contents of the file in a namespace and return the result of the variable named `variable`.

Parameters
filename | string
variable | string